
Redmine - Defect #9221

enabled related project changeset reference 

2011-09-10 00:55 - Takashi Okamoto

Status: Closed Start date: 2011-09-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.1

Description

Hi,

I would like to update ticket by commit for related project(parent or child).

While check changesets.rb, I aware such code exists:

  def find_referenced_issue_by_id(id)

    return nil if id.blank?

    issue = Issue.find_by_id(id.to_i, :include => :project)

    if issue

      unless issue.project &&

                (project == issue.project || project.is_ancestor_of?(issue.project) ||

                 project.is_descendant_of?(issue.project))

        issue = nil

      end

    end

    issue

  end

 However ":include => project" condition seems to prevent following code.

Why don't you permit referencing changesets for related project's scm?

regards,

Takashi Okamoto

Related issues:

Is duplicate of Redmine - Defect #9220: enabled related project changeset ref... Closed 2011-09-10

History

#1 - 2011-09-11 02:22 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

#2 - 2011-09-11 02:22 - Toshi MARUYAMA

- Category set to SCM
